Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util.deadlock
Class ApplicationDeadlockException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.jboss.util.deadlock.ApplicationDeadlockException

All Implemented Interfaces:
  Serializable

public class ApplicationDeadlockException
extends RuntimeException

This exception class is thrown when application deadlock is detected when trying to lock an entity bean This is probably NOT a result of a jboss bug, but rather that the application is access the same entity beans within 2 different transaction in a different order. Remember, with a PessimisticEJBLock, Entity beans are locked until the transaction commits or is rolled back.

Version:
  $Revision: 1.3 $

  Revisions:

  2002/02/13: billb

  1. Initial revision
Author:
  Bill Burke
See Also:
  Serialized Form

Field Summary
`protected boolean` | `retry`

Constructor Summary
`ApplicationDeadlockException()`
`ApplicationDeadlockException(String msg, boolean retry)`

Method Summary
`static ApplicationDeadlockException` | `isADE(Throwable t)` Detects exception contains is or a ApplicationDeadlockException.
`boolean` | `retryable()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### retry

    protected boolean retry

Constructor Detail

### ApplicationDeadlockException

    public ApplicationDeadlockException()

### ApplicationDeadlockException

    public ApplicationDeadlockException(String msg,
                                        boolean retry)

Method Detail

### retryable

    public boolean retryable()

### isADE

    public static ApplicationDeadlockException isADE(Throwable t)

  Detects exception contains is or a ApplicationDeadlockException.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.